Bug 61958 - ipchains blocking https when http allowed
ipchains blocking https when http allowed
Product: Red Hat Linux
Classification: Retired
Component: gnome-lokkit (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Ben Levenson
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-03-26 04:26 EST by Jukka Lehti
Modified: 2014-03-16 22:26 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.3.5-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-11 00:59:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jukka Lehti 2002-03-26 04:26:22 EST
When installing Red Hat Linux 7.2 and selecting "Medium level" firewall +
customizing firewall to allow http connections (port 80), https connections
(port 443) are still blocked. IMHO https should be allowed for users who allow
http (or at least an option provided to allow https, too).

I fixed this manually adding line

-A input -s 0/0 -d 0/0 443 -p tcp -y -j ACCEPT

to the end of file /etc/sysconfig/ipchains but probably this should be done
Comment 1 Michael Fulbright 2002-03-27 01:27:10 EST
We will consider this enhancement in a future release.

There is currently a field to enter arbitrary ports in so it is still possible
to enable this port through the UI.
Comment 2 Michael Fulbright 2003-04-16 14:59:03 EDT
This is a configuration decision for the lokkit program.
Comment 3 Bill Nottingham 2004-03-11 00:59:32 EST
Fixed in system-config-securitylevel-1.3.5-1.

Note You need to log in before you can comment on or make changes to this bug.